summaryrefslogtreecommitdiffstats
path: root/scripts/stable-update.sh
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2019-03-10 07:59:46 +0100
committerThorsten Leemhuis <fedora@leemhuis.info>2019-09-21 07:47:17 +0200
commit2e8144b58909ca174858699d49ae545c8d5b2b48 (patch)
treeb7e5df1513d813490efceccc0827b0964def950b /scripts/stable-update.sh
parenta68356aa40d379ffd9fbe964520e63e06dd18d17 (diff)
downloadkernel-2e8144b58909ca174858699d49ae545c8d5b2b48.tar.gz
kernel-2e8144b58909ca174858699d49ae545c8d5b2b48.tar.xz
kernel-2e8144b58909ca174858699d49ae545c8d5b2b48.zip
disable sign checking
Diffstat (limited to 'scripts/stable-update.sh')
-rwxr-xr-xscripts/stable-update.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 27081df22..6c87a85fa 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -41,20 +41,22 @@ if [ ! -f patch-$1.xz ]; then
fi
fi
-if [ ! -f "patch-$1.sign" ]; then
- wget "https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.sign"
- if [ ! $? -eq 0 ]; then
- echo "Signature download failed"
- exit 1
- fi
-fi
-
-xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-if [ ! $? -eq 0 ]; then
- echo "Patch file has invalid or untrusted signature!"
- echo "See https://www.kernel.org/category/signatures.html"
- exit 1
-fi
+# This all needs to be updated for the new generation system
+#
+#if [ ! -f "patch-$1.sign" ]; then
+# wget "https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.sign"
+# if [ ! $? -eq 0 ]; then
+# echo "Signature download failed"
+# exit 1
+# fi
+#fi
+#
+#xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+#if [ ! $? -eq 0 ]; then
+# echo "Patch file has invalid or untrusted signature!"
+# echo "See https://www.kernel.org/category/signatures.html"
+# exit 1
+#fi
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then